XDF_GET_CHANNEL(3)

NAME
xdf_get_channel - Get the channel descriptor handle of a particular index

SYNOPSIS

#include <xdfio.h>

struct xdfch* xdf_get_channel(const struct xdf* xdf,
unsigned int index);

DESCRIPTION

xdf_get_channel() gets the channel descriptor of the channel stored at index index in the XDF file referenced by the handle xdf.

RETURN VALUE

xdf_get_channel() returns the handle to requested channel descriptor in case of success, NULL otherwise.

ERRORS

EINVAL
    xdf is NULL or index is bigger than the number of channel.

SEE ALSO
xdf_add_channel(3)